#!/usr/bin/php
<?php

/*
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

define('N',"\n");

require __DIR__.'/../lib/mb_ucfirst.php';

use function mysqli_real_escape_string as myesc;

$inifp=__DIR__.'/../conf/mustard.ini';
$iniarr=@parse_ini_file($inifp)
	or mexit('Impossibile aprire il file di configurazione «'.$inifp.'»'.N,1);
$link=@mysqli_connect($iniarr['db_host'],$iniarr['db_admin_name'],$iniarr['db_admin_password'],$iniarr['db_name'],$iniarr['db_port'],$iniarr['db_socket'])
	or mexit('Impossibile connettersi al server MySQL: '.mysqli_connect_error().N,1);
mysqli_set_charset($link,'utf8mb4')
	or mexit(mysqli_error($link).N,1);

$localesfp='locales.json';
$locales=@file_get_contents($localesfp);
if ($locales===false)
	mexit('Non ho potuto aprire il file «'.$localesfp.'».'.N,1);
$locales=json_decode($locales,true);
print_r($locales);
//mexit('Ecco.'.N,1);
foreach ($locales as $key=>$val) {
	$code=myesc($link,$key);
	$NameOrig=myesc($link,mb_ucfirst(locale_get_display_name($key,$key)));
	$NameCa=myesc($link,mb_ucfirst(locale_get_display_name($key,'ca')));
	$NameEn=myesc($link,mb_ucfirst(locale_get_display_name($key,'en')));
	$NameEs=myesc($link,mb_ucfirst(locale_get_display_name($key,'es')));
	$NameFr=myesc($link,mb_ucfirst(locale_get_display_name($key,'fr')));
	$NameIt=myesc($link,mb_ucfirst(locale_get_display_name($key,'it')));
	$que='INSERT INTO Languages (ID, Code, NameOrig, NameCA, NameEN, NameES, NameFR, NameIT) VALUES (NULL, \''.$code.'\', \''.$NameOrig.'\', \''.$NameCa.'\', \''.$NameEn.'\', \''.$NameEs.'\', \''.$NameFr.'\', \''.$NameIt.'\')';
	echo($que.N);
	mysqli_query($link,$que)
		or mexit(mysqli_error($link).N,2);
}

mysqli_close($link);

exit(0);

function mexit($msg,$rv) {
	global $link;
	if ($link)
		mysqli_close($link);
	echo($msg);
	exit($rv);
}

?>
